Table of Contents

Class: TimeCounter | ../bkchem/Pmw.py
--- | ---
### Up-down counter A TimeCounter is a single-line entry widget with Up and Down arrows which increment and decrement the Time value in the entry.
Base Classes |
--- | ---
MegaWidget MegaArchetype
Methods |
--- | ---
__init__ decrement destroy getint getstring getvalue increment invoke setvalue
| __init__
    __init__ (
            self,
            parent=None,
            **kw,
            )
| decrement
    decrement ( self,  seconds=1 )
| destroy
    destroy ( self )
| getint
    getint ( self )
| getstring
    getstring ( self )
| getvalue
    getvalue ( self )
| increment
    increment ( self,  seconds=1 )
| invoke
    invoke ( self )
| setvalue
    setvalue ( self,  text )
Exceptions |
--- | ---
ValueError, 'invalid value: ' + text

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1